<?php
/*
 +--------------------------------------------------------------------------+
 | phpMyBackupPro                                                           |
 +--------------------------------------------------------------------------+
 | Copyright (c) 2004 by Dirk Randhahn                                      |
 | http://sourceforge.net/projects/phpmybackup/                             |
 | Version information can be found in definitions.php.                     |
 |                                                                          |
 | This program is free software; you can redistribute it and/or            |
 | modify it under the terms of the GNU General Public License              |
 | as published by the Free Software Foundation; either version 2           |
 | of the License, or (at your option) any later version.                   |
 |                                                                          |
 | This program is distributed in the hope that it will be useful,          |
 | but WITHOUT ANY WARRANTY; without even the implied warranty of           |
 | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            |
 | GNU General Public License for more details.                             |
 |                                                                          |
 | You should have received a copy of the GNU General Public License        |
 | along with this program; if not, write to the Free Software              |
 | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,USA.|
 +--------------------------------------------------------------------------+
*/

include("login.php");
include_once("definitions.php");

// connect to mySQL
$con=@mysql_connect($CONF['sql_host'],$CONF['sql_user'],$CONF['sql_passwd']);

// get start time to calculate duration
$starttime=time();

// tables info popUp
if ($_GET['table']) {

    // select the db
    mysql_select_db($_GET['table']);

    $stati=mysql_query("show table status");
    while($status=mysql_fetch_array($stati)) {
        $table_names[]=$status['Name'];
        $table_rows[]=$status['Rows'];
        $size=size_type($status['Data_length']+$status['Index_length']);
        $table_size[]=$size['value']." ".$size['type'];
    }
    
    // get number of fields
    if (is_array($table_names))
    foreach($table_names as $table) {
        mysql_query("show fields from ".$table);
        $table_fields[]=mysql_affected_rows();
    }

    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01//EN\"
   \"http://www.w3.org/TR/html4/loose.dtd\">
<html>
<head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=iso-8859-1\">
<link rel=\"stylesheet\" href=\"./".STYLE_CSS."\" type=\"text/css\">
<title>phpMyBackupPro - Help</title>
</head>
<table border=\"0\" cellspacing=\"2\" cellpadding=\"0\" width=\"100%\">\n
<tr><th colspan=\"4\" class=\"active\"><span class=\"pmbp1\">php</span><span class=\"pmbp2\">MyBackup</span><span class=\"pmbp3\">Pro</span><span class=\"pmbp4\"> ".VERSION."</span></th></tr>
";
    echo "<tr>\n<td colspan=\"4\"><br><div class=\"bold\">".DB_TAB_TITLE.$_GET['table']."</div><br></td>\n</tr>\n";
    echo "<tr>\n<th>".DB_TAB_NAME."</th>\n<th>".DB_TAB_COLS."</th>\n<th>".DB_NUM_ROWS."</th>\n<th>".DB_SIZE."</th>\n</tr>\n";
    for($i=0;$i<count($table_names);$i++) {
        echo "<tr>\n<th>".$table_names[$i]."</th>\n<td class=\"list\">".$table_fields[$i]."</td>";
        echo "\n<td class=\"list\">".$table_rows[$i]."</td>\n<td class=\"list\">".$table_size[$i]."</td>\n</tr>\n";
    }
    echo "<tr>\n<td colspan=\"4\">\n<br><div class=\"bold_left\">".F_DURATION.": ".$duration=time()-$starttime." ".F_SECONDS."</div>\n</td>\n</tr>\n";
    echo "</table>\n</body>\n</html>";
    exit;
}

printHeader(ereg_replace(".*/","",$_SERVER['SCRIPT_NAME']),$CONF['lang']);

// if first use or no db-connection possible
if (!$con) echo "<div class=\"red\">".I_SQL_ERROR."</div>";

echo "<table border=\"0\" cellspacing=\"2\" cellpadding=\"0\" width=\"100%\">\n";

// list all backup files
$all_dbs=getDB_List($CONF['sql_host'],$CONF['sql_user'],$CONF['sql_passwd']);

if (is_array($all_dbs)) {
    natsort($all_dbs);

    echo "<tr>\n<th>".DB_NAME."</th>\n<th>".DB_NUM_TABLES."</th>\n<th>".DB_NUM_ROWS."</th>\n<th>".DB_SIZE."</th>\n</tr>\n";

    // print html table
    foreach($all_dbs as $db_name) {

        // select the db
        mysql_select_db($db_name,$con);
        
        $num_tables=$num_rows=$data_size=0;
        $tables=mysql_query("show tables from ".$db_name.";",$con);

        // get number of tables
        $num_tables=mysql_affected_rows($con);
        
        // get number of rows and size of tables
        $stati=mysql_query("show table status",$con);
        while ($status=mysql_fetch_array($stati)) {
            $data_size+=($status['Data_length']+$status['Index_length']);
            $num_rows+=$status['Rows'];
        }
        $size=size_type($data_size);
    
        // first field for the db name
        echo "<tr>\n<th>\n".$db_name;
        if ($num_tables) echo "<span class=\"standard\">".pop_up("db_info.php?table=".$db_name," [".DB_TABLES."]","view")."</span>";
        echo "\n</th>\n";
        echo "<td class=\"list\">".$num_tables."</td>\n";
        echo "<td class=\"list\">".$num_rows."</td>\n";
        echo "<td class=\"list\">".$size['value']." ".$size['type']."</td>\n";
    }
    echo "<tr>\n<td colspan=\"4\">\n<br><div class=\"bold_left\">".F_DURATION.": ".$duration=time()-$starttime." ".F_SECONDS."</div>\n".DB_DIFF."\n</td>\n</tr>\n";
} else {

    // if there are no databases
    echo "<tr>\n<td><div class=\"bold\">".DB_NO_DB.".</div>\n</td>\n</tr>\n";
}

echo"</table>\n";
printFooter();
?>
